function info(verbosity)
% FUNCTION fc_amat.version: Returns the version of the toolbox/package as string.
%
%    Copyright (C) 2018 F. Cuvelier
%
% Must by improved when fc_tools.path() and fc_bench.path() will exist
  if nargin==0, verbosity=1;end
  assert(ismember(verbosity,[1,2]) , '[fc_amat.info] Input parameter must be 1 or 2')
  if verbosity>1
  fprintf('Using %s\n',fc_tools.utils.fcpackagestr('fc_amat',verbosity))
  fprintf('  and %s\n',fc_tools.utils.fcpackagestr('fc_tools',verbosity))
  fprintf('  and %s\n',fc_tools.utils.fcpackagestr('fc_bench',verbosity))
  else
    fprintf('Using %s with %s and %s.\n',fc_tools.utils.fcpackagestr('fc_amat',verbosity), ...
                                         fc_tools.utils.fcpackagestr('fc_tools',verbosity), ...
                                         fc_tools.utils.fcpackagestr('fc_bench',verbosity))
  end
end
